Quotes
Convert Quote To Sales Order
Convert an accepted quote to a sales order.
The sales order receives real SKU line items when they are supplied by the caller. If none are supplied, the converter attempts to pull SKU/MOQ rows from the quote’s source RFQ.
POST
/
quotes
/
{quote_id}
/
convert-to-sales-order
Convert Quote To Sales Order
curl --request POST \
--url https://vinmake-erp.onrender.com/quotes/{quote_id}/convert-to-sales-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"styleId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "FOB",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"paymentTerm": "Net 30",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"orderQuantity": 0,
"clientTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"status": "Bulk"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/quotes/{quote_id}/convert-to-sales-order"
payload = {
"clientId": "<string>",
"styleId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "FOB",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"paymentTerm": "Net 30",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"orderQuantity": 0,
"clientTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"status": "Bulk"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
styleId: '<string>',
etd: '2023-11-07T05:31:56Z',
shippingTerm: 'FOB',
deadline: '2023-11-07T05:31:56Z',
shipmentPlan: '<string>',
shipmentSchedule: [{shipmentNumber: 2, etd: '2023-11-07T05:31:56Z', quantity: 1}],
paymentTerm: 'Net 30',
notes: '<string>',
lineItems: [
{
styleSkuId: '<string>',
orderQuantity: 0,
clientTolerance: 0,
requestedDeliveryDate: '2023-11-07T05:31:56Z',
requestedBulkReadyDate: '2023-11-07T05:31:56Z',
status: 'Bulk'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/quotes/{quote_id}/convert-to-sales-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Input for converting a quote to sales order.
Client ID for the sales order
Style ID for the sales order
Estimated Time of Delivery
Show child attributes
Show child attributes
Sales order SKU lines to create from the quotation
Show child attributes
Show child attributes
Response
Successful Response
⌘I
Convert Quote To Sales Order
